summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDoug Newgard2017-07-03 22:40:40 -0500
committerDoug Newgard2017-07-03 22:40:40 -0500
commit999290ed4f3da66dd19a355bbd2210ef5ff04b84 (patch)
treed75935c4d5afebec023afeb41ae1670c1eb420e3
parent53428741fd77d29f810deabe9a470710cd74d225 (diff)
downloadaur-999290ed4f3da66dd19a355bbd2210ef5ff04b84.tar.gz
Upstream update to 2.14.16
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD10
2 files changed, 13 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index a844ce83aee..2cca137ec9f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = qgis-ltr
pkgdesc = Geographic Information System (GIS) that supports vector, raster & database formats; Long Term Release
- pkgver = 2.14.13
+ pkgver = 2.14.16
pkgrel = 1
url = http://qgis.org/
arch = i686
@@ -22,8 +22,8 @@ pkgbase = qgis-ltr
depends = qca-qt4
depends = qscintilla-qt4
depends = qtwebkit
- depends = qwt
- depends = qwtpolar
+ depends = qwt-qt4
+ depends = qwtpolar-qt4
depends = spatialindex
depends = sqlite
depends = python2
@@ -42,11 +42,11 @@ pkgbase = qgis-ltr
optdepends = python2-psycopg2: Processing plugin
optdepends = python2-pyspatialite: Processing plugin
optdepends = python2-yaml: Processing plugin
- provides = qgis=2.14.13
+ provides = qgis=2.14.16
conflicts = qgis
- source = https://qgis.org/downloads/qgis-2.14.13.tar.bz2
+ source = https://qgis.org/downloads/qgis-2.14.16.tar.bz2
source = qgis_sip-ftbfs.patch::https://src.fedoraproject.org/cgit/rpms/qgis.git/plain/qgis_sip-ftbfs.patch?id=25b8f81ccabbfdb183d4850a66e884c183444f14
- md5sums = 6d34c123ef04f23c43758b1bfad1da89
+ md5sums = 364851be6a7c64b7f3b5902179902a68
md5sums = 0575d848604f0fc6dda0a643523e7e48
pkgname = qgis-ltr
diff --git a/PKGBUILD b/PKGBUILD
index 3319e408041..6a6b380312d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -12,14 +12,14 @@
pkgname=qgis-ltr
_pkgname=${pkgname//-ltr}
-pkgver=2.14.13
+pkgver=2.14.16
pkgrel=1
pkgdesc='Geographic Information System (GIS) that supports vector, raster & database formats; Long Term Release'
url='http://qgis.org/'
license=('GPL')
arch=('i686' 'x86_64')
depends=('expat' 'gcc-libs' 'gdal' 'geos' 'glibc' 'libspatialite' 'postgresql-libs' 'proj'
- 'qt4' 'qca-qt4' 'qscintilla-qt4' 'qtwebkit' 'qwt' 'qwtpolar' 'spatialindex' 'sqlite'
+ 'qt4' 'qca-qt4' 'qscintilla-qt4' 'qtwebkit' 'qwt-qt4' 'qwtpolar-qt4' 'spatialindex' 'sqlite'
'python2' 'python2-httplib2' 'python2-qscintilla-qt4' 'python2-sip' 'python2-six')
makedepends=('cmake' 'gsl' 'perl' 'txt2tags')
optdepends=('gpsbabel: GPS Tool plugin'
@@ -37,7 +37,7 @@ provides=("$_pkgname=$pkgver")
conflicts=("$_pkgname")
source=("https://qgis.org/downloads/$_pkgname-$pkgver.tar.bz2"
"qgis_sip-ftbfs.patch::https://src.fedoraproject.org/cgit/rpms/qgis.git/plain/qgis_sip-ftbfs.patch?id=25b8f81ccabbfdb183d4850a66e884c183444f14")
-md5sums=('6d34c123ef04f23c43758b1bfad1da89'
+md5sums=('364851be6a7c64b7f3b5902179902a68'
'0575d848604f0fc6dda0a643523e7e48')
prepare() {
@@ -46,6 +46,10 @@ prepare() {
# Fedora patch to fix with newer sip/pyqt4
patch -Np1 -i <(sed '184,$d' ../qgis_sip-ftbfs.patch)
+ # Make sure we find the -qt4 versions of qwt and qwtpolar
+ sed -i '/QWT_LIBRARY_NAMES/ s/qwt /qwt-qt4 /' cmake/FindQwt.cmake
+ sed -i '/PATH_SUFFIXES/ s/qwt$/&-qt4/;/LIBRARY NAMES/ s/qwtpolar/&-qt4/' cmake/FindQwtPolar.cmake
+
# Fix references to "python"
sed -i 's/\(env \|\/usr\/bin\/\)python$/&2/' $(find . -iname "*.py")
sed -i 's/python /python2 /' scripts/pyuic4-wrapper.sh